List Flags
1 min
GET
https://api.optimizely.com/flags/v1//projects/{project_id}/flags
project_idintegerThe project identifier
per_pageinteger<int64>The max number of items to include per page or results.
page_numberinteger<int64><p>Bypass page_token to jump to specific page</p>
page_tokenstring<p>Pagination page token. Implements prev, next, last, first</p>
page_windowinteger<p>Number of previous and next page links to supply for the request (defaults to 1).</p>
sortarraySort the Flags based on the attributes from left to right.
archivedboolean<p>Filter the Flags by archived. A Flag can be either archived (archived=true) or unarchived (archived=false)</p>
enabledboolean<p>Filter the Flags by enabled. A Flag can be either enabled (enabled=true) or disabled (enabled=false)</p>
rule_statusarray<p>Filter the Flags by Rule Status. Supports matching one, multiple, or excluding multiple values.</p>
<ul>
<li>For matching one: <code>rule_status=value</code></li>
<li>For matching multiple: <code>rule_status=value1,value2</code></li>
<li>For excluding multiple: <code>rule_status=!value1,!value2</code></li>
</ul>
environment_statusarray<p>Filter the Flags by Environment Status. Supports matching one, multiple, or excluding multiple values.</p>
<ul>
<li>For matching one: <code>environment_status=value</code></li>
<li>For matching multiple: <code>environment_status=value1,value2</code></li>
<li>For excluding multiple: <code>environment_status=!value1,!value2</code></li>
</ul>
environment_typearray<p>Filter the Flags by the environment_type</p>
environmentarrayFilter the Flags by the environment
rule_typearrayFilter the Flags by the rule type.
querystring<p>Filter the Flags by name, key, or
description substring</p>
key_listarrayFilter the Flags by multiple keys
owner_user_idstringFilter the Flags by owner's unique user ID
team_idsarrayFilter the Flags by team IDs
acceptstringGenerated from available response content types
200<p>Successful retrieval of a page of Flags.</p>
<p>The response includes RESTful JSON (<a href="https://restfuljson.org/" target="_blank">https://restfuljson.org/</a>) styled links and pagination metadata.
Objects in this API MAY include a url property for a link to itself and MAY append _url to properties for related links.
If a link is not present in the response, it indicates a user is not authorized to access the related resource.</p>
400Malformed requests and invalid parameter names and types
401Invalid credentials
403Do not have permission to perform the operation
curl --request GET \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/flags \
--header 'accept: application/json'